Skip to main content
`Ctrl`+`K`

# PetscLogStateClassSetActive

Set logging events associated with an event as active or inactive during a logging stage.

## Synopsis

    #include "petsclog.h"
    PetscErrorCode PetscLogStateClassSetActive(PetscLogState state, PetscLogStage stage, PetscClassId classid, PetscBool isActive)

Not collective

## Input Parameters

- state - a `PetscLogState`

- stage - a registered `PetscLogStage`, or `PETSC_DEFAULT` for the current stage

- classid - a `PetscClassId`

- isActive - if `PETSC_FALSE`, `PetscLogStateEventGetActive()` will return `PETSC_FALSE` for this stage and all events that were associated with this class when they were registered (see `PetscLogStateEventRegister()`).

## Note

This is called for the global state (`PetscLogGetState()`) in `PetscLogEventActivateClass()` and `PetscLogEventDeactivateClass()`.

## See Also

Profiling, `PetscLogState`, `PetscLogEventGetActive()`, `PetscLogStateEventSetActive()`

## Level

developer

## Location

src/sys/logging/state/logstate.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages